Ask Your Question
0

openstack glance db sync issue

asked 2014-09-16 01:36:35 -0500

akhil gravatar image

updated 2014-09-16 03:55:59 -0500

Anand TS gravatar image

hi i am installing Icehouse on centos 6.5 and mysql DB and during glance database sync i receive this error, i am following openstack installation guide.

su -s /bin/sh -c "glance-manage db_sync" glance
Traceback (most recent call last):
  File "/usr/bin/glance-manage", line 6, in <module>
    from glance.cmd.manage import main
  File "/usr/lib/python2.6/site-packages/glance/cmd/manage.py", line 45, in <module>
    from glance.db import migration as db_migration
  File "/usr/lib/python2.6/site-packages/glance/db/__init__.py", line 21, in <module>
    from glance.common import crypt
  File "/usr/lib/python2.6/site-packages/glance/common/crypt.py", line 23, in <module>
    from Crypto.Cipher import AES
  File "/usr/lib64/python2.6/site-packages/Crypto/Cipher/AES.py", line 50, in <module>
    from Crypto.Cipher import _AES
ImportError: /usr/lib64/python2.6/site-packages/Crypto/Cipher/_AES.so: undefined symbol: rpl_malloc
edit retag flag offensive close merge delete

Comments

i am facing the same issue. any solutions for this? i tried manually updating as given in https://ask.openstack.org/en/question/28335/you-should-rebuild-using-libgmp-5-to-avoid-timing-attack-vulnerability-_warnnot-using-mpz_powm_sec-you-should-rebuild-using-libgmp-5-to-avoid-timing/ (https://ask.openstack.org/en/question...) without luck

krishnaghatti gravatar imagekrishnaghatti ( 2014-09-23 05:57:37 -0500 )edit

4 answers

Sort by ยป oldest newest most voted
0

answered 2016-02-28 05:47:41 -0500

harshavardhan gravatar image

check ur Database and connection settings

edit flag offensive delete link more
0

answered 2016-02-26 05:25:42 -0500

tomcate gravatar image

try again !

edit flag offensive delete link more
0

answered 2014-10-07 16:05:08 -0500

Stephanie Fuller gravatar image

I'm having this issue also.

The first time I tried to run glance-manage db-sync I got an error that indicated I had to rebuild PyCrypto with libgmp > 5, so I downloaded gmp 6 and made that and did a pip install PyCrypto, as described in https://ask.openstack.org/en/question/28335/you-should-rebuild-using-libgmp-5-to-avoid-timing-attack-vulnerability-_warnnot-using-mpz_powm_sec-you-should-rebuild-using-libgmp-5-to-avoid-timing/ (https://ask.openstack.org/en/question...)

Now I'm getting this new error about _AES.so.

So, how does that mesh with Boon Lee's answer above??? Thanks, Stephanie

edit flag offensive delete link more
0

answered 2014-10-07 02:51:52 -0500

eupub gravatar image

I had this issue too and this is how I resolved it -

This has something to do with the PyCrypto module - explanation here: http://wiki.buici.com/xwiki/bin/view/...

To resolve this issue, you have to re-compile PyCryto from source: 1. Go to PyCryto source directory 2. export ac_cv_func_malloc_0_nonnull=yes 3. ./configure 4. python setup.py build 5. python setup.py install 6. Run db sync again.

Regards, Boon Lee

edit flag offensive delete link more

Comments

Go to PyCryto source directory where is this directory?

LightMan gravatar imageLightMan ( 2014-11-30 01:33:50 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

Stats

Asked: 2014-09-16 01:36:35 -0500

Seen: 1,691 times

Last updated: Feb 28 '16